AcegiProviderAdapter (Mule ESB 2.2.1 API)
Keywords: org.mule.module.acegi.AcegiProviderAdapter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.acegi
Class AcegiProviderAdapter

    java.lang.Object
      org.mule.security.AbstractSecurityProvider
          org.mule.module.acegi.AcegiProviderAdapter

All Implemented Interfaces:
  org.acegisecurity.providers.AuthenticationProvider, Initialisable, NamedObject, SecurityProvider

    public class AcegiProviderAdapter

extends AbstractSecurityProvider
implements org.acegisecurity.providers.AuthenticationProvider

`AcegiProviderAdapter` is a wrapper for an Acegi Security provider to use with the SecurityManager

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`AcegiProviderAdapter()` For Spring IoC only
`AcegiProviderAdapter(org.acegisecurity.providers.AuthenticationProvider delegate)`
`AcegiProviderAdapter(org.acegisecurity.providers.AuthenticationProvider delegate, String name)`

Method Summary
`Authentication` | `authenticate(Authentication authentication)`
`org.acegisecurity.Authentication` | `authenticate(org.acegisecurity.Authentication authentication)`
`protected void` | `doInitialise()`
`org.acegisecurity.providers.AuthenticationProvider` | `getDelegate()`
`Map` | `getSecurityProperties()`
`void` | `setDelegate(org.acegisecurity.providers.AuthenticationProvider delegate)`
`void` | `setSecurityProperties(Map securityProperties)`

Methods inherited from class org.mule.security.AbstractSecurityProvider
`createSecurityContext, getName, getSecurityContextFactory, initialise, setName, setSecurityContextFactory, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.acegisecurity.providers.AuthenticationProvider
`supports`

Constructor Detail

### AcegiProviderAdapter

    public AcegiProviderAdapter()

  For Spring IoC only

### AcegiProviderAdapter

    public AcegiProviderAdapter(org.acegisecurity.providers.AuthenticationProvider delegate)

### AcegiProviderAdapter

    public AcegiProviderAdapter(org.acegisecurity.providers.AuthenticationProvider delegate,
                                String name)

Method Detail

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Overrides:
    `doInitialise` in class `AbstractSecurityProvider`
  Throws:
    `InitialisationException`

### authenticate

    public Authentication authenticate(Authentication authentication)
                                throws SecurityException

  Specified by:
    `authenticate` in interface `SecurityProvider`
  Throws:
    `SecurityException`

### authenticate

    public org.acegisecurity.Authentication authenticate(org.acegisecurity.Authentication authentication)
                                                  throws org.acegisecurity.AuthenticationException

  Specified by:
    `authenticate` in interface `org.acegisecurity.providers.AuthenticationProvider`
  Throws:
    `org.acegisecurity.AuthenticationException`

### getDelegate

    public org.acegisecurity.providers.AuthenticationProvider getDelegate()

### setDelegate

    public void setDelegate(org.acegisecurity.providers.AuthenticationProvider delegate)

### getSecurityProperties

    public Map getSecurityProperties()

### setSecurityProperties

    public void setSecurityProperties(Map securityProperties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.